# Generated from ostiary-0.11.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ostiary

Name: rubygem-%{gem_name}
Version: 0.11.1
Release: 1%{?dist}
Summary: Limit access to (rails) controllers/actions with policies
License: MIT
URL: https://github.com/nedap/ostiary
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec_junit_formatter)
BuildArch: noarch

%description
Ostiary is a security gem for your (rails) controllers & actions.
It employs a before_filter-like call to set policies per controller/action.
You can pass your own security call in block and handle the PolicyBroken
yourself.
Policies are also inherited from parent classes.
From wikipedia: "An ostiarius, a Latin word sometimes anglicized as ostiary
but often literally translated as porter or doorman, originally was a
servant or guard posted at the entrance of a building. See also gatekeeper.".


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}

%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Aug 24 2021 mockbuilder - 0.11.1-1
- Initial package
